**API versions** · [V2 (Latest)](/integrations/v2/docs?lang=en) · **V1**

> **This API version is obsolete.** Use the latest version for new integrations. [View the current documentation](/integrations/v2/docs?lang=en)

# Messaging Configs

OpenAPI 3.0.3 · API 1.0.0

```json
[
  {
    "url": "https://api.unisoft.world/integrations/v1",
    "description": "API"
  }
]
```

Read-only list of the org's email & SMS sending configs (no secrets). Use an email config id as a campaign's `emailConfig`. Scope: `messages:read`.

## Operations

## GET /messaging-configs

List email & SMS sending configs

`list_messaging_configs`

Required scope: `messages:read`. The org's email & SMS sending configs (no secrets). Use an email config id as a campaign's `emailConfig`.

### Authentication

```json
[
  {
    "bearerAuth": []
  },
  {
    "apiKeyHeader": []
  }
]
```

### Required permissions

```json
{
  "accepted": "messages:read",
  "additional": []
}
```

### Responses

#### HTTP 200

```json
{
  "description": "OK",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "data": {
            "$ref": "#/components/schemas/MessagingConfigs"
          }
        }
      }
    }
  }
}
```

#### HTTP 401

```json
{
  "description": "ERROR",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "example": false
          },
          "error": {
            "type": "string",
            "example": "ERROR"
          }
        }
      }
    }
  }
}
```

#### HTTP 403

```json
{
  "description": "INSUFFICIENT_SCOPE",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "example": false
          },
          "error": {
            "type": "string",
            "example": "INSUFFICIENT_SCOPE"
          }
        }
      }
    }
  }
}
```

### OpenAPI

```json
{
  "x-unisoft-scope": "messages:read",
  "x-unisoft-mcp": {
    "category": "read",
    "readOnly": true,
    "destructive": false,
    "idempotent": true,
    "warn": false
  }
}
```

## Schemas

```json
{
  "components": {
    "schemas": {
      "MessagingConfigs": {
        "type": "object",
        "description": "The org's email & SMS sending configs (no secrets). Use an email entry's id as a campaign's emailConfig. SMS is mono-config (a campaign's smsConfig is ignored by the daemon).",
        "properties": {
          "email": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string"
                },
                "name": {
                  "type": "string",
                  "nullable": true
                },
                "sender": {
                  "type": "string",
                  "nullable": true,
                  "description": "From address."
                },
                "replyTo": {
                  "type": "string",
                  "nullable": true
                },
                "provider": {
                  "type": "string",
                  "nullable": true
                }
              }
            }
          },
          "sms": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "nullable": true
                },
                "name": {
                  "type": "string",
                  "nullable": true,
                  "description": "SMS sender name (originator)."
                },
                "provider": {
                  "type": "string",
                  "nullable": true
                },
                "quota": {
                  "type": "integer",
                  "nullable": true,
                  "description": "Remaining SMS credits."
                },
                "active": {
                  "type": "boolean"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key",
        "description": "Format: `ke_live_xxx`"
      },
      "apiKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      }
    }
  }
}
```
